> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Send a query through a pipeline

> Append a Solr query string to the request, as in '/api/apollo/query-pipelines/<id>/collections/<collectionName>/<handler>?<solrQuery>'



## OpenAPI

````yaml /api-reference/4.2/service-query-pipelines.json get /query-pipelines/{id}/collections/{collection}/{handler}
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service query-pipelines
servers:
  - url: /api/apollo/
security: []
tags:
  - name: query-pipelines
paths:
  /query-pipelines/{id}/collections/{collection}/{handler}:
    get:
      tags:
        - 4.2 Query Pipelines API
      summary: Send a query through a pipeline
      description: >-
        Append a Solr query string to the request, as in
        '/api/apollo/query-pipelines/<id>/collections/<collectionName>/<handler>?<solrQuery>'
      operationId: query
      parameters:
        - name: id
          in: path
          description: A pipeline ID
          required: true
          schema:
            type: string
        - name: collection
          in: path
          description: The name of a collection
          required: true
          schema:
            type: string
        - name: handler
          in: path
          description: The name of a Solr request handler
          required: true
          schema:
            type: string
      responses:
        '200':
          description: successful operation
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/WriteableResponse'
components:
  schemas:
    WriteableResponse:
      type: object
      properties:
        contentType:
          type: string
        contentCharset:
          type: string
        mediaType:
          $ref: '#/components/schemas/MediaType'
    MediaType:
      type: object
      properties:
        type:
          type: string
        subtype:
          type: string
        parameters:
          type: object
          additionalProperties:
            type: string
        wildcardType:
          type: boolean
          default: false
        wildcardSubtype:
          type: boolean
          default: false

````